Package com.stardog.stark.vocabs

# Class SWRL

java.lang.Object
com.stardog.stark.vocabs.SWRL

public final class SWRL extends Object

Constants for the [SWRL](https://www.w3.org/Submission/SWRL/) vocabulary.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final IRI`
  `argument1`
  `static final IRI`
  `argument2`
  `static final IRI`
  `arguments`
  `static final IRI`
  `AtomList`
  `static final IRI`
  `body`
  `static final IRI`
  `builtin`
  `static final IRI`
  `Builtin`
  `static final IRI`
  `BuiltinAtom`
  `static final IRI`
  `ClassAtom`
  `static final IRI`
  `classPredicate`
  `static final IRI`
  `dataRange`
  `static final IRI`
  `DataRangeAtom`
  `static final IRI`
  `DatavaluedPropertyAtom`
  `static final IRI`
  `DifferentIndividualsAtom`
  `static final IRI`
  `head`
  `static final IRI`
  `Imp`
  `static final IRI`
  `IndividualPropertyAtom`
  `static final String`
  `NS`
  `static final IRI`
  `propertyPredicate`
  `static final IRI`
  `SameIndividualAtom`
  `static final IRI`
  `Variable`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NS

    public static final String NS
    See Also:
      - Constant Field Values

  - ### AtomList

    public static final IRI AtomList

  - ### Builtin

    public static final IRI Builtin

  - ### BuiltinAtom

    public static final IRI BuiltinAtom

  - ### ClassAtom

    public static final IRI ClassAtom

  - ### DataRangeAtom

    public static final IRI DataRangeAtom

  - ### DatavaluedPropertyAtom

    public static final IRI DatavaluedPropertyAtom

  - ### DifferentIndividualsAtom

    public static final IRI DifferentIndividualsAtom

  - ### Imp

    public static final IRI Imp

  - ### IndividualPropertyAtom

    public static final IRI IndividualPropertyAtom

  - ### SameIndividualAtom

    public static final IRI SameIndividualAtom

  - ### Variable

    public static final IRI Variable

  - ### argument1

    public static final IRI argument1

  - ### argument2

    public static final IRI argument2

  - ### arguments

    public static final IRI arguments

  - ### body

    public static final IRI body

  - ### builtin

    public static final IRI builtin

  - ### classPredicate

    public static final IRI classPredicate

  - ### dataRange

    public static final IRI dataRange

  - ### head

    public static final IRI head

  - ### propertyPredicate

    public static final IRI propertyPredicate